%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Crypt-CAST5
Version:       0.05
Release:       5mamba
Summary:       Crypt::CAST5 - The CAST5 block cipher
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://www.cpan.org/modules/by-module/Crypt/Crypt-CAST5-%{version}.tar.gz
License:       Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END

%description
This module implements the CAST5 block cipher using compiled C code for increased speed.
See RFC 2114.

%prep
%setup -q -n Crypt-CAST5-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Tue Mar 19 2024 Automatic Build System <autodist@openmamba.org> 0.05-5mamba
- automatic rebuild by autodist

* Tue Mar 19 2024 Automatic Build System <autodist@openmamba.org> 0.05-4mamba
- automatic rebuild by autodist

* Sat Nov 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.05-3mamba
- perl 5.16 mass rebuild

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.05-2mamba
- automatic rebuild by autodist

* Tue Nov 13 2007 Aleph0 <aleph0@openmamba.org> 0.05-1mamba
- package created by autospec
